Check Point Advisories

Linux Kernel IPv6 Router Advertisement Packets Processing Denial of Service (CVE-2014-2309)

Check Point Reference: CPAI-2014-1536
Date Published: 14 May 2014
Severity: High
Last Updated: 10 Jun 2020
Source: Linux Kernel
Industry Reference:CVE-2014-2309
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable? Linux Kernel Project Kernel 3.10.33 and prior
Linux Kernel Project Kernel 3.12.13 and prior
Linux Kernel Project Kernel 3.13.6 and prior
Vulnerability Description A denial of service vulnerability exists in the Linux kernel. The vulnerability is due to the way it handles IPv6 router advertisement packets. A remote attacker can exploit this vulnerability by sending maliciously crafted packets to a vulnerable system.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Linux Kernel IPv6 Router Advertisement Packets Processing Denial of Service protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  ICMP Protocol Violation.
Attack Information:  Linux Kernel IPv6 Router Advertisement Packets Processing Denial of Service

×
  Feedback
This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO